/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controllers;

import beans.Polaganje;
import beans.Student;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.servlet.http.HttpSession;

/**
 *
 * @author jelica
 */

@ManagedBean
@SessionScoped
public class NastavnikController {
    private String indeks;
    private String poruka;

    public String getIndeks() {
        return indeks;
    }

    public void setIndeks(String indeks) {
        this.indeks = indeks;
    }

    public String getPoruka() {
        return poruka;
    }

    public void setPoruka(String poruka) {
        this.poruka = poruka;
    }
    
    public String search(){
        Student st = util.dao.NastavnikDAO.nadjiStudentaPoIndeksu(indeks);
        if(st==null){
            poruka = "Nema studenta sa tim indeksom";   
            return null;
        }
        else{
            HttpSession session = util.SessionUtils.getSession();
            session.setAttribute("student", st);
            
            return "prikaziStudenta";
        }
    }
    
    private Polaganje polaganje = new Polaganje();

    public Polaganje getPolaganje() {
        return polaganje;
    }

    public void setPolaganje(Polaganje polaganje) {
        this.polaganje = polaganje;
    }
    
    private String porukaInsert;

    public String getPorukaInsert() {
        return porukaInsert;
    }

    public void setPorukaInsert(String porukaInsert) {
        this.porukaInsert = porukaInsert;
    }

    public void insertGrade(){
        if(util.dao.NastavnikDAO.proveraPostojanjaStudentaPoIndeksu(polaganje.getIndeks())){
            //unos ocene
            int flag = util.dao.NastavnikDAO.unosOcene(polaganje);
            switch(flag){
                case 0: {
                    porukaInsert = "Greska";
                    break;
                }
                case 1:{
                    porukaInsert = "Uspesan update";
                    break;
                }
                case 2:{
                    porukaInsert = "Ocena 5 ne sme da se menja";
                    break;
                }
                case 3:{
                    porukaInsert = "Uspesan insert";
                    break;
                }
            }
        
        }
        else{
            porukaInsert="Ne postoji student sa tim indeksom";
        }
    }
}
