/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package util.dao;

import beans.Polaganje;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author jelica
 */
public class StudentDAO {
    public static List<Polaganje> dohvatiPolaganjStudenta(String indeks){
        List<Polaganje> polaganja = new ArrayList<>();
        Connection conn = null;
        PreparedStatement ps = null;
        try{
            conn = util.DB.getInstance().getConnection();
            
            ps = conn.prepareStatement("select * from ispiti where korime=?");
            
            ps.setString(1, indeks);
            
            ResultSet rs = ps.executeQuery();
            while(rs.next()){
                Polaganje p = new Polaganje();
                p.setDatum(new java.util.Date(rs.getDate("datum").getTime()));
                p.setIndeks(rs.getString("korime"));
                p.setOcena(rs.getInt("ocena"));
                p.setSifraPredmeta(rs.getString("sifraPredmet"));
                
                polaganja.add(p);
            }
            
            return polaganja;
        } catch (SQLException ex) {
            Logger.getLogger(StudentDAO.class.getName()).log(Level.SEVERE, null, ex);
        } finally{
            try {
                ps.close();
            } catch (SQLException ex) {
                Logger.getLogger(StudentDAO.class.getName()).log(Level.SEVERE, null, ex);
            }
            util.DB.getInstance().putConnection(conn);
        }
        return null;
    }
}
