/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package util.dao;

import beans.Korisnik;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author jelica
 */
public class KorisnikDAO {
    public static Korisnik prijava(String username, String password){
        Connection conn = util.DB.getInstance().getConnection();
        PreparedStatement ps = null;
        try {
            ps = conn.prepareStatement("select * from korisnici where korime=? and lozinka=?");
        
            ps.setString(1, username);
            ps.setString(2, password);
            
            ResultSet rs = ps.executeQuery();
            
            if(rs.next()){
                Korisnik k = new Korisnik();
                
                k.setId(rs.getInt("id"));
                k.setKorime(rs.getString("korime"));
                k.setLozinka(rs.getString("lozinka"));
                k.setIme(rs.getString("ime"));
                k.setPrezime(rs.getString("prezime"));
                k.setJeNastavnik(rs.getInt("jeNastavnik"));
                
                return k;
            }
            
            return null;
        } catch (SQLException ex) {
            Logger.getLogger(KorisnikDAO.class.getName()).log(Level.SEVERE, null, ex);
        } finally{
            try {
                ps.close();
            } catch (SQLException ex) {
                Logger.getLogger(KorisnikDAO.class.getName()).log(Level.SEVERE, null, ex);
            }
            
            util.DB.getInstance().putConnection(conn);
        }
        
        return null;
    }
}
